Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deFile Class Reference

`#include <deFile_priv.hpp>`

Inheritance diagram for deFile:

[legend]
Collaboration diagram for deFile:

[legend]
List of all members.

## Public Member Functions
int | Release ()
void * | GetInterface (IdeFile::interface_t i)
virtual deBoolean | Open (IdeFileSystem *BaseFS, char *Filename, long OpenFlags)
| open a file
virtual deBoolean | Close ()
| close an open file
virtual long | Read (void *Buffer, long Length)
| read a file
virtual long | Write (void *Buffer, long Length)
| write a file
virtual long | GetPosition ()
| get file position
virtual long | SetPosition (long NewPosition, IdeFile::Seek SeekType)
| set file position
virtual long | GetSize ()
| get a file's size
virtual deBoolean | SetSize (long NewSize)
| set a file's length
virtual s64 | GetTime ()
| get a file's date/time
virtual deBoolean | SetTime (s64 Time)
| set a file's date/time
virtual deBoolean | GetProperties (deFileProperties *Properties)
| get current file's properties
virtual long | GetOpenFlags ()
| get the open flags
## Protected Member Functions
| deFile ()
virtual | ~deFile ()

## Constructor & Destructor Documentation

deFile::deFile | ( |  | ) | `[protected]`

deFile::~deFile | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

deBoolean deFile::Close | ( |  | ) | `[virtual]`

| close an open file Implements IdeFile. Reimplemented in deFileMemory, deFileVirtual, deFileReal, and deFilePlugin.

void * deFile::GetInterface | ( | IdeFile::interface_t | i | ) | `[virtual]`

| Implements IdeFile. Reimplemented in deFileMemory, deFileVirtual, deFileReal, and deFilePlugin.

long deFile::GetOpenFlags | ( |  | ) | `[virtual]`

| get the open flags Implements IdeFile. Reimplemented in deFileMemory, deFileVirtual, deFileReal, and deFilePlugin.

long deFile::GetPosition | ( |  | ) | `[virtual]`

| get file position Implements IdeFile. Reimplemented in deFileMemory, deFileVirtual, deFileReal, and deFilePlugin.

deBoolean deFile::GetProperties | ( | deFileProperties * | Properties | ) | `[virtual]`

| get current file's properties Implements IdeFile. Reimplemented in deFileMemory, deFileVirtual, deFileReal, and deFilePlugin.

long deFile::GetSize | ( |  | ) | `[virtual]`

| get a file's size Implements IdeFile. Reimplemented in deFileMemory, deFileVirtual, deFileReal, and deFilePlugin.

s64 deFile::GetTime | ( |  | ) | `[virtual]`

| get a file's date/time Implements IdeFile. Reimplemented in deFileMemory, deFileVirtual, deFileReal, and deFilePlugin.

deBoolean deFile::Open | ( | IdeFileSystem * | BaseFS,
|  | char * | Filename,
|  | long | OpenFlags
| ) | `[virtual]`

| open a file Implements IdeFile. Reimplemented in deFileMemory, deFileVirtual, deFileReal, and deFilePlugin.

long deFile::Read | ( | void * | Buffer,
|  | long | Length
| ) | `[virtual]`

| read a file Implements IdeFile. Reimplemented in deFileMemory, deFileVirtual, deFileReal, and deFilePlugin.

int deFile::Release | ( |  | ) | `[virtual]`

| Implements IdeFile. Reimplemented in deFileMemory, deFileVirtual, deFileReal, and deFilePlugin.

long deFile::SetPosition | ( | long | NewPosition,
|  | IdeFile::Seek | SeekType
| ) | `[virtual]`

| set file position Implements IdeFile. Reimplemented in deFileMemory, deFileVirtual, deFileReal, and deFilePlugin.

deBoolean deFile::SetSize | ( | long | NewSize | ) | `[virtual]`

| set a file's length Implements IdeFile. Reimplemented in deFileMemory, deFileVirtual, deFileReal, and deFilePlugin.

deBoolean deFile::SetTime | ( | s64 | Time | ) | `[virtual]`

| set a file's date/time Implements IdeFile. Reimplemented in deFileMemory, deFileVirtual, deFileReal, and deFilePlugin.

long deFile::Write | ( | void * | Buffer,
|  | long | Length
| ) | `[virtual]`

| write a file Implements IdeFile. Reimplemented in deFileMemory, deFileVirtual, deFileReal, and deFilePlugin.

The documentation for this class was generated from the following files:

- deFile_priv.hpp
- deFile.cpp